Bug 1431587 - Review Request: golang-github-cznic-mathutil - Supplemental utilities for Go's rand and math packages
Summary: Review Request: golang-github-cznic-mathutil - Supplemental utilities for Go'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1432887
Blocks: 1431732 1431735 1431736 1431740 1431741 1431745 1431748
TreeView+ depends on / blocked
 
Reported: 2017-03-13 11:21 UTC by Fabio Valentini
Modified: 2017-04-06 13:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 20:50:06 UTC
Type: ---
jchaloup: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-03-13 11:21:36 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-mathutil.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-mathutil-0-0.1.git1447ad2.fc25.src.rpm

Description: Supplemental utilities for Go's rand and math packages

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18354197


Packager's comments:
I have removed the "mersenne" subpackage (which is unused by dependencies), because it depends on architecture-specific code (it only works on x86 arches).

I increased the timeout for go tests from the default (10 minutes) to 30m to account for the "slow" armv7hl builders.

This package is one of the (indirect) dependencies of syncthing.

Comment 1 Athos Ribeiro 2017-03-14 11:02:33 UTC
Hello,

I believe this is duplicated, reopen if I am mistaken

*** This bug has been marked as a duplicate of bug 1246526 ***

Comment 2 Fabio Valentini 2017-03-14 11:06:10 UTC
Yes, this is the same package ... though the other review request is 2 years old and hasn't been touched by a human since it was opened.

Comment 3 Jan Chaloupka 2017-03-14 11:32:29 UTC
github.com/remyoudompheng/bigfft [Build]Requires dependency in devel is missing.

Otherwise, the rest LGTM. Can you fix the [B]R?

Comment 4 Fabio Valentini 2017-03-14 11:46:13 UTC
I removed the BR: golang(github.com/remyoudompheng/bigfft) because that go library only works on x86, and it is only needed by the "mersenne" subpackage (that nothing depends on so far; I removed it because of this). I can add a clarifying comment about this in the .spec file if you want.

Comment 5 Jan Chaloupka 2017-03-14 12:01:18 UTC
Then, it should be:
%ifarch x86_64
Provides:       golang(%{import_path}/mersenne) = %{version}-%{release}
%endif

...

%ifarch x86_64
Requires: golang(github.com/remyoudompheng/bigfft)
%endif

...

%ifarch x86_64
BuildRequires: golang(github.com/remyoudompheng/bigfft)
%endif

Comment 6 Fabio Valentini 2017-03-14 21:19:23 UTC
I put in "%if(n)arch %{ix86} x86_64 %{arm}" around the "mersenne" subpackage stuff since those are the architectures "bigfft" supports.

Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-mathutil.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-cznic-mathutil-0-0.2.git1447ad2.fc25.src.rpm

Comment 7 Fabio Valentini 2017-03-15 19:44:10 UTC
Thanks for the review!

You submitted a review request for the "bigfft" package 2 years ago [1], are you still interested in moving forward with it (I can do the review), or should I submit a new one (with new sources and up-to-date spec), and mark yours as a duplicate?

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1246524

Comment 8 Gwyn Ciesla 2017-03-15 21:41:59 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-cznic-mathutil

Comment 9 Jan Chaloupka 2017-03-16 09:13:43 UTC
Fabio, feel free to close/re-submit any spec file of mine without review+ flag that is older than 3 months.

Comment 10 Fabio Valentini 2017-03-16 10:32:24 UTC
I'll keep that in mind, thanks! I just wanted to ask first - I try not to step on anyone's toes when I can.

Comment 11 Fedora Update System 2017-03-28 01:49:19 UTC
golang-github-cznic-mathutil-0-0.2.git1447ad2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-73c494df6b

Comment 12 Fedora Update System 2017-03-28 08:51:12 UTC
golang-github-cznic-mathutil-0-0.2.git1447ad2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-04280ba6b3

Comment 13 Fedora Update System 2017-04-02 10:33:25 UTC
golang-github-cznic-mathutil-0-0.2.git1447ad2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ccdbd32f2

Comment 14 Fedora Update System 2017-04-03 03:54:31 UTC
golang-github-cznic-mathutil-0-0.2.git1447ad2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8ccdbd32f2

Comment 15 Fedora Update System 2017-04-04 20:50:06 UTC
golang-github-cznic-mathutil-0-0.2.git1447ad2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-04-05 05:23:25 UTC
golang-github-cznic-mathutil-0-0.2.git1447ad2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-04-06 13:43:54 UTC
golang-github-cznic-mathutil-0-0.2.git1447ad2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.